scala.collection.parallel.mutable

# ParHashSet

#### class ParHashSet[T] extends ParSet[T] with GenericParTemplate[T, ParHashSet] with ParSetLike[T, ParHashSet[T], HashSet[T]] with ParFlatHashTable[T] with Serializable

A parallel hash set.

`ParHashSet` is a parallel set which internally keeps elements within a hash table. It uses linear probing to resolve collisions.

T

  type of the elements in the parallel hash set .

Annotations
  @SerialVersionUID ( uid = 1L )
Source
  ParHashSet.scala

Linear Supertypes
Serializable, java.io.Serializable, ParFlatHashTable[T], FlatHashTable[T], HashUtils[T], ParSet[T], ParSetLike[T, ParHashSet[T], HashSet[T]], mutable.Cloneable[ParHashSet[T]], Cloneable, java.lang.Cloneable, Shrinkable[T], Growable[T], Clearable, parallel.ParSet[T], parallel.ParSetLike[T, ParHashSet[T], HashSet[T]], ParIterable[T], Mutable, parallel.ParIterable[T], ParIterableLike[T, ParHashSet[T], HashSet[T]], Parallel, CustomParallelizable[T, ParHashSet[T]], GenericParTemplate[T, ParHashSet], HasNewCombiner[T, scala.collection.parallel.mutable.ParHashSet[T] @scala.annotation.unchecked.uncheckedVariance], GenSet[T], GenericSetTemplate[T, GenSet], GenIterable[T], GenTraversable[T], GenericTraversableTemplate[T, ParHashSet], HasNewBuilder[T, scala.collection.parallel.mutable.ParHashSet[T] @scala.annotation.unchecked.uncheckedVariance], GenSetLike[T, ParHashSet[T]], Equals, (T) ⇒ Boolean, GenIterableLike[T, ParHashSet[T]], GenTraversableLike[T, ParHashSet[T]], Parallelizable[T, ParHashSet[T]], GenTraversableOnce[T], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ParHashSet
2. Serializable
3. Serializable
4. ParFlatHashTable
5. FlatHashTable
6. HashUtils
7. ParSet
8. ParSetLike
9. Cloneable
10. Cloneable
11. Cloneable
12. Shrinkable
13. Growable
14. Clearable
15. ParSet
16. ParSetLike
17. ParIterable
18. Mutable
19. ParIterable
20. ParIterableLike
21. Parallel
22. CustomParallelizable
23. GenericParTemplate
24. HasNewCombiner
25. GenSet
26. GenericSetTemplate
27. GenIterable
28. GenTraversable
29. GenericTraversableTemplate
30. HasNewBuilder
31. GenSetLike
32. Equals
33. Function1
34. GenIterableLike
35. GenTraversableLike
36. Parallelizable
37. GenTraversableOnce
38. AnyRef
39. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ParHashSet()

### Type Members

1. #### trait Accessor [R, Tp] extends StrictSplitterCheckTask[R, Tp]

   Standard accessor task that iterates over the elements of the collection.

2. #### class Aggregate [S] extends Accessor[S, Aggregate[S]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

3. #### trait BuilderOps [Elem, To] extends AnyRef

   Definition Classes
     ParIterableLike

4. #### class Collect [S, That] extends Transformer[Combiner[S, That], Collect[S, That]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

5. #### abstract class Composite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends NonDivisibleTask[R, Composite[FR, SR, R, First, Second]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

6. #### class Copy [U >: T, That] extends Transformer[Combiner[U, That], Copy[U, That]]

   Attributes
     protected
   Definition Classes
     ParIterableLike

7. #### class CopyToArray [U >: T, This >: Repr] extends Accessor[Unit, CopyToArray[U, This]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

8. #### class Count extends Accessor[Int, Count]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

9. #### class CreateScanTree [U >: T] extends Transformer[ScanTree[U], CreateScanTree[U]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

10. #### class Drop [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Drop[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

11. #### class Exists extends Accessor[Boolean, Exists]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

12. #### class Filter [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Filter[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

13. #### class FilterNot [U >: T, This >: Repr] extends Transformer[Combiner[U, This], FilterNot[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

14. #### class Find [U >: T] extends Accessor[Option[U], Find[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

15. #### class FlatMap [S, That] extends Transformer[Combiner[S, That], FlatMap[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

16. #### class Fold [U >: T] extends Accessor[U, Fold[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

17. #### class Forall extends Accessor[Boolean, Forall]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

18. #### class Foreach [S] extends Accessor[Unit, Foreach[S]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

19. #### class FromScanTree [U >: T, That] extends StrictSplitterCheckTask[Combiner[U, That], FromScanTree[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

20. #### class GroupBy [K, U >: T] extends Transformer[HashMapCombiner[K, U], GroupBy[K, U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

21. #### class Map [S, That] extends Transformer[Combiner[S, That], Map[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### class Max [U >: T] extends Accessor[Option[U], Max[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

23. #### class Min [U >: T] extends Accessor[Option[U], Min[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

24. #### trait NonDivisible [R] extends NonDivisibleTask[R, NonDivisible[R]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

25. #### trait NonDivisibleTask [R, Tp] extends StrictSplitterCheckTask[R, Tp]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

26. #### abstract class ParComposite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Performs two tasks in parallel, and waits for both to finish.

27. #### abstract class ParFlatHashTableIterator extends IterableSplitter[T] with SizeMapUtils

    Definition Classes
      ParFlatHashTable

28. #### class ParHashSetIterator extends ParFlatHashTableIterator

29. #### class Partition [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Partition[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

30. #### class Product [U >: T] extends Accessor[U, Product[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

31. #### class Reduce [U >: T] extends Accessor[Option[U], Reduce[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

32. #### abstract class ResultMapping [R, Tp, R1] extends NonDivisibleTask[R1, ResultMapping[R, Tp, R1]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

33. #### type SSCTask[R, Tp] = StrictSplitterCheckTask[R, Tp]

    Definition Classes
      ParIterableLike

34. #### case class ScanLeaf [U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

35. #### case class ScanNode [U >: T](left: ScanTree[U], right: ScanTree[U]) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

36. #### trait ScanTree [U >: T] extends AnyRef

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

37. #### abstract class SeqComposite [FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Sequentially performs one task after another.

38. #### trait SignallingOps [PI <: DelegatedSignalling] extends AnyRef

    Definition Classes
      ParIterableLike

39. #### class Slice [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Slice[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

40. #### class Span [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Span[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

41. #### class SplitAt [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), SplitAt[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

42. #### trait StrictSplitterCheckTask [R, Tp] extends Task[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

43. #### class Sum [U >: T] extends Accessor[U, Sum[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

44. #### class Take [U >: T, This >: Repr] extends Transformer[Combiner[U, This], Take[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

45. #### class TakeWhile [U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Boolean), TakeWhile[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

46. #### trait TaskOps [R, Tp] extends AnyRef

    Definition Classes
      ParIterableLike

47. #### class ToParCollection [U >: T, That] extends Transformer[Combiner[U, That], ToParCollection[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

48. #### class ToParMap [K, V, That] extends Transformer[Combiner[(K, V), That], ToParMap[K, V, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

49. #### trait Transformer [R, Tp] extends Accessor[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

50. #### class Zip [U >: T, S, That] extends Transformer[Combiner[(U, S), That], Zip[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

51. #### class ZipAll [U >: T, S, That] extends Transformer[Combiner[(U, S), That], ZipAll[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(that: GenSet[T]): ParHashSet[T]

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

5. #### def &~(that: GenSet[T]): ParHashSet[T]

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

6. #### def +(elem: T): ParHashSet[T]

   Definition Classes
     ParSetLike → GenSetLike

7. #### def ++[B](that: GenTraversableOnce[B]): ParHashSet[B]

   [use case] Returns a new parallel hash set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new parallel hash set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the parallel hash set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new parallel hash set which contains all elements of this parallel hash set

     followed by all elements of `that`.

   Definition Classes
     ParIterableLike → GenTraversableLike
   Full Signature

   #### def ++[U >: T, That](that: GenTraversableOnce[U])(implicit bf: CanBuildFrom[ParHashSet[T], U, That]): That

8. #### def ++=(xs: TraversableOnce[T]): ParHashSet.this.type

   adds all elements produced by a TraversableOnce to this parallel hash set .

   adds all elements produced by a TraversableOnce to this parallel hash set .

   xs

     the TraversableOnce producing the elements to add.

   returns

     the parallel hash set itself.

   Definition Classes
     Growable

9. #### def +=(elem: T): ParHashSet.this.type

   adds a single element to this parallel hash set .

   adds a single element to this parallel hash set .

   elem

     the element to add.

   returns

     the parallel hash set itself

   Definition Classes
     ParHashSet → ParSetLike → Growable

10. #### def +=(elem1: T, elem2: T, elems: T*): ParHashSet.this.type

    adds two or more elements to this parallel hash set .

    adds two or more elements to this parallel hash set .

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the parallel hash set itself

    Definition Classes
      Growable

11. #### def -(elem: T): ParHashSet[T]

    Definition Classes
      ParSetLike → GenSetLike

12. #### def --=(xs: TraversableOnce[T]): ParHashSet.this.type

    Removes all elements produced by an iterator from this parallel hash set .

    Removes all elements produced by an iterator from this parallel hash set .

    xs

      the iterator producing the elements to remove.

    returns

      the parallel hash set itself

    Definition Classes
      Shrinkable

13. #### def -=(elem: T): ParHashSet.this.type

    Removes a single element from this parallel hash set .

    Removes a single element from this parallel hash set .

    elem

      the element to remove.

    returns

      the parallel hash set itself

    Definition Classes
      ParHashSet → ParSetLike → Shrinkable

14. #### def -=(elem1: T, elem2: T, elems: T*): ParHashSet.this.type

    Removes two or more elements from this parallel hash set .

    Removes two or more elements from this parallel hash set .

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the parallel hash set itself

    Definition Classes
      Shrinkable

15. #### def ->[B](y: B): (ParHashSet[T], B)

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to ArrowAssoc[ParHashSet[T]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline ()

16. #### def /:[S](z: S)(op: (S, T) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel hash set , going left to right.

    Applies a binary operator to a start value and all elements of this parallel hash set , going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash set , going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this parallel hash set .

    Definition Classes
      ParIterableLike → GenTraversableOnce

17. #### def :\[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel hash set and a start value, going right to left.

    Applies a binary operator to all elements of this parallel hash set and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this parallel hash set , going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel hash set .

    Definition Classes
      ParIterableLike → GenTraversableOnce

18. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

20. #### def addEntry(elem: T): Boolean

    Add entry if not yet in table.

    Add entry if not yet in table.

    returns

      Returns `true` if a new entry was added, `false` otherwise.

    Attributes
      protected
    Definition Classes
      FlatHashTable

21. #### def aggregate[S](z: S)(seqop: (S, T) ⇒ S, combop: (S, S) ⇒ S): S

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    S

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      ParIterableLike → GenTraversableOnce

22. #### def alwaysInitSizeMap: Boolean

    Definition Classes
      ParFlatHashTable → FlatHashTable

23. #### def andThen[A](g: (Boolean) ⇒ A): (T) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

24. #### def apply(elem: T): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

25. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

26. #### def asParIterable: parallel.ParIterable[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

27. #### def asParSeq: parallel.ParSeq[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

28. #### def bf2seq[S, That](bf: CanBuildFrom[ParHashSet[T], S, That]): CanBuildFrom[HashSet[T], S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

29. #### implicit def builder2ops[Elem, To](cb: Builder[Elem, To]): BuilderOps[Elem, To]

    Attributes
      protected
    Definition Classes
      ParIterableLike

30. #### def calcSizeMapSize(tableLength: Int): Int

    Attributes
      protected
    Definition Classes
      FlatHashTable

31. #### def canEqual(other: Any): Boolean

    Definition Classes
      ParIterableLike

32. #### def capacity(expectedSize: Int): Int

    Attributes
      protected
    Definition Classes
      FlatHashTable

33. #### def clear(): Unit

    Clears the parallel hash set 's contents.

    Clears the parallel hash set 's contents. After this operation, the parallel hash set is empty.

    Definition Classes
      ParHashSet → Growable → Clearable

34. #### def clearTable(): Unit

    Attributes
      protected
    Definition Classes
      FlatHashTable

35. #### def clone(): ParHashSet[T]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

36. #### def collect[B](pf: PartialFunction[A, B]): ParHashSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this parallel hash set

    [use case]

    Builds a new collection by applying a partial function to all elements of this parallel hash set

    on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the parallel hash set .

    returns

      a new parallel hash set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def collect[S, That](pf: PartialFunction[T, S])(implicit bf: CanBuildFrom[ParHashSet[T], S, That]): That

37. #### def combinerFactory[S, That](cbf: () ⇒ Combiner[S, That]): CombinerFactory[S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

38. #### def combinerFactory: CombinerFactory[T, ParHashSet[T]]

    Creates a combiner factory.

    Creates a combiner factory. Each combiner factory instance is used once per invocation of a parallel transformer method for a single collection.

    The default combiner factory creates a new combiner every time it is requested, unless the combiner is thread-safe as indicated by its `canBeShared` method. In this case, the method returns a factory which returns the same combiner each time. This is typically done for concurrent parallel collections, the combiners of which allow thread safe access.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

39. #### def companion: ParHashSet.type

    The factory companion object that builds instances of class `ParHashSet`.

    The factory companion object that builds instances of class `ParHashSet`. (or its `Iterable` superclass where class `ParHashSet` is not a `Seq`.)

    Definition Classes
      ParHashSet → ParSet → ParSet → ParIterable → ParIterable → GenericParTemplate → GenSet → GenIterable → GenTraversable → GenericTraversableTemplate

40. #### def compose[A](g: (A) ⇒ T): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

41. #### def contains(elem: T): Boolean

    Definition Classes
      ParHashSet → GenSetLike

42. #### def containsEntry(elem: T): Boolean

    Checks whether an element is contained in the hash table.

    Checks whether an element is contained in the hash table.

    Attributes
      protected
    Definition Classes
      FlatHashTable

43. #### def copyToArray[U >: T](xs: Array[U], start: Int, len: Int): Unit

    Definition Classes
      ParIterableLike → GenTraversableOnce

44. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this parallel hash set to an array.

    [use case]

    Copies values of this parallel hash set to an array. Fills the given array `xs` with values of this parallel hash set , beginning at index `start`. Copying will stop once either the end of the current parallel hash set is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U], start: Int): Unit

45. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this parallel hash set to an array.

    [use case]

    Copies values of this parallel hash set to an array. Fills the given array `xs` with values of this parallel hash set . Copying will stop once either the end of the current parallel hash set is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U]): Unit

46. #### def count(p: (T) ⇒ Boolean): Int

    Counts the number of elements in the parallel hash set which satisfy a predicate.

    Counts the number of elements in the parallel hash set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

47. #### def debugBuffer: ArrayBuffer[String]

    Definition Classes
      ParIterableLike

48. #### def debugInformation: String

    Definition Classes
      ParHashSet → ParIterableLike

49. #### implicit def delegatedSignalling2ops[PI <: DelegatedSignalling](it: PI): SignallingOps[PI]

    Attributes
      protected
    Definition Classes
      ParIterableLike

50. #### def diff(that: GenSet[T]): ParHashSet[T]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      ParSetLike → GenSetLike

51. #### def drop(n: Int): ParHashSet[T]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this parallel hash set .

    returns

      a parallel hash set consisting of all elements of this parallel hash set except the first `n` ones, or else the empty parallel hash set , if this parallel hash set has less than `n` elements.

    Definition Classes
      ParIterableLike → GenTraversableLike

52. #### def dropWhile(pred: (T) ⇒ Boolean): ParHashSet[T]

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

    pred

      the predicate used to test the elements

    returns

      a collection composed of all the elements after the longest prefix of elements in this parallel hash set that satisfy the predicate `pred`

    Definition Classes
      ParIterableLike → GenTraversableLike

53. #### def elemHashCode(elem: T): Int

    Attributes
      protected
    Definition Classes
      HashUtils

54. #### def empty: ParHashSet[T]

    Definition Classes
      ParHashSet → ParSet → ParSetLike → ParSet → ParSetLike → GenericSetTemplate

55. #### def ensuring(cond: (ParHashSet[T]) ⇒ Boolean, msg: ⇒ Any): ParHashSet[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to Ensuring[ParHashSet[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### def ensuring(cond: (ParHashSet[T]) ⇒ Boolean): ParHashSet[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to Ensuring[ParHashSet[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: Boolean, msg: ⇒ Any): ParHashSet[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to Ensuring[ParHashSet[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### def ensuring(cond: Boolean): ParHashSet[T]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to Ensuring[ParHashSet[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

59. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

60. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

61. #### def exists(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some element of this parallel hash set .

    Tests whether a predicate holds for some element of this parallel hash set .

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for some element, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

62. #### def filter(pred: (T) ⇒ Boolean): ParHashSet[T]

    Selects all elements of this parallel hash set which satisfy a predicate.

    Selects all elements of this parallel hash set which satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new parallel hash set consisting of all elements of this parallel hash set that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

63. #### def filterNot(pred: (T) ⇒ Boolean): ParHashSet[T]

    Selects all elements of this parallel hash set which do not satisfy a predicate.

    Selects all elements of this parallel hash set which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new parallel hash set consisting of all elements of this parallel hash set that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

64. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

65. #### def find(pred: (T) ⇒ Boolean): Option[T]

    Finds some element in the collection for which the predicate holds, if such an element exists.

    Finds some element in the collection for which the predicate holds, if such an element exists. The element may not necessarily be the first such element in the iteration order.

    If there are multiple elements obeying the predicate, the choice is nondeterministic.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      predicate used to test the elements

    returns

      an option value with the element if such an element exists, or `None` otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

66. #### def findEntry(elem: T): Option[T]

    Finds an entry in the hash table if such an element exists.

    Finds an entry in the hash table if such an element exists.

    Attributes
      protected
    Definition Classes
      FlatHashTable

67. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): ParHashSet[B]

    [use case] Builds a new collection by applying a function to all elements of this parallel hash set

    [use case]

    Builds a new collection by applying a function to all elements of this parallel hash set

    and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of parallel hash set . This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new parallel hash set resulting from applying the given collection-valued function `f` to each element of this parallel hash set and concatenating the results.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def flatMap[S, That](f: (T) ⇒ GenTraversableOnce[S])(implicit bf: CanBuildFrom[ParHashSet[T], S, That]): That

68. #### def flatten[B]: ParHashSet[B]

    [use case] Converts this parallel hash set of traversable collections into a parallel hash set formed by the elements of these traversable collections.

    [use case]

    Converts this parallel hash set of traversable collections into a parallel hash set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of parallel hash set . For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new parallel hash set resulting from concatenating all element parallel hash set s.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): ParHashSet[B]

69. #### def fold[U >: T](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator. The order in which the elements are reduced is unspecified and may be nondeterministic.

    Note this method has a different signature than the `foldLeft` and `foldRight` methods of the trait `Traversable`. The result of folding may only be a supertype of this parallel collection's type parameter `T`.

    U

      a type parameter for the binary operator, a supertype of `T`.

    z

      a neutral element for the fold operation, it may be added to the result an arbitrary number of times, not changing the result (e.g. `Nil` for list concatenation, 0 for addition, or 1 for multiplication)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      ParIterableLike → GenTraversableOnce

70. #### def foldLeft[S](z: S)(op: (S, T) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel hash set , going left to right.

    Applies a binary operator to a start value and all elements of this parallel hash set , going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash set , going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this parallel hash set .

    Definition Classes
      ParIterableLike → GenTraversableOnce

71. #### def foldRight[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel hash set and a start value, going right to left.

    Applies a binary operator to all elements of this parallel hash set and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel hash set , going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel hash set .

    Definition Classes
      ParIterableLike → GenTraversableOnce

72. #### def forall(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this parallel hash set .

    Tests whether a predicate holds for all elements of this parallel hash set .

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for all elements, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

73. #### def foreach[U](f: (T) ⇒ U): Unit

    Applies a function `f` to all the elements of parallel hash set in a undefined order.

    Applies a function `f` to all the elements of parallel hash set in a undefined order.

    U

      the result type of the function applied to each element, which is always discarded

    f

      function applied to each element

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

74. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

75. #### def genericBuilder[B]: Combiner[B, ParHashSet[B]]

    The generic builder that builds instances of `ParHashSet` at arbitrary element types.

    The generic builder that builds instances of `ParHashSet` at arbitrary element types.

    Definition Classes
      GenericParTemplate → GenericTraversableTemplate

76. #### def genericCombiner[B]: Combiner[B, ParHashSet[B]]

    Definition Classes
      GenericParTemplate

77. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

78. #### def groupBy[K](f: (T) ⇒ K): immutable.ParMap[K, ParHashSet[T]]

    Partitions this parallel hash set into a map of parallel hash set s according to some discriminator function.

    Partitions this parallel hash set into a map of parallel hash set s according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new parallel hash set .

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to parallel hash set s such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a parallel hash set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      ParIterableLike → GenTraversableLike

79. #### def hasDefiniteSize: Boolean

    Definition Classes
      ParIterableLike → GenTraversableOnce

80. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

81. #### def head: T

    Selects the first element of this parallel hash set .

    Selects the first element of this parallel hash set .

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel hash set .

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the parallel hash set is empty.

82. #### def headOption: Option[T]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel hash set if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

83. #### def ifParSeq[R](isbody: (parallel.ParSeq[T]) ⇒ R): (TraversableOps[T])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

84. #### final def improve(hcode: Int, seed: Int): Int

    Attributes
      protected
    Definition Classes
      HashUtils

85. #### final def index(hcode: Int): Int

    Attributes
      protected
    Definition Classes
      FlatHashTable

86. #### def init: ParHashSet[T]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a parallel hash set consisting of all elements of this parallel hash set

      except the last one.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the parallel hash set is empty.

87. #### def initTaskSupport(): Unit

    Attributes
      protected
    Definition Classes
      ParIterableLike

88. #### def initWithContents(c: Contents[T]): Unit

    Attributes
      protected
    Definition Classes
      FlatHashTable

89. #### def initialSize: Int

    The initial size of the hash table.

    The initial size of the hash table.

    Definition Classes
      FlatHashTable

90. #### def intersect(that: GenSet[T]): ParHashSet[T]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

91. #### def isEmpty: Boolean

    Tests whether the parallel hash set is empty.

    Tests whether the parallel hash set is empty.

    returns

      `true` if the parallel hash set contains no elements, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

92. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

93. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

96. #### def isSizeMapDefined: Boolean

    Attributes
      protected
    Definition Classes
      FlatHashTable

97. #### def isStrictSplitterCollection: Boolean

    Denotes whether this parallel collection has strict splitters.

    Denotes whether this parallel collection has strict splitters.

    This is true in general, and specific collection instances may choose to override this method. Such collections will fail to execute methods which rely on splitters being strict, i.e. returning a correct value in the `remaining` method.

    This method helps ensure that such failures occur on method invocations, rather than later on and in unpredictable ways.

    Definition Classes
      ParIterableLike

98. #### final def isTraversableAgain: Boolean

    Tests whether this parallel hash set can be repeatedly traversed.

    Tests whether this parallel hash set can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

99. #### def iterator: ParHashSetIterator

    Creates a new split iterator used to traverse the elements of this collection.

    Creates a new split iterator used to traverse the elements of this collection.

    By default, this method is implemented in terms of the protected `splitter` method.

    returns

      a split iterator

    Definition Classes
      ParHashSet → FlatHashTable → ParIterableLike → GenSetLike → GenIterableLike

100. #### def last: T

     Selects the last element.

     Selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       The last element of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the parallel hash set is empty.

101. #### def lastOption: Option[T]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this parallel hash set $ if it is nonempty, `None` if it is empty.

     Definition Classes
       ParIterableLike → GenTraversableLike

102. #### def map[B](f: (A) ⇒ B): ParHashSet[B]

     [use case] Builds a new collection by applying a function to all elements of this parallel hash set .

     [use case]

     Builds a new collection by applying a function to all elements of this parallel hash set .

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new parallel hash set resulting from applying the given function `f` to each element of this parallel hash set and collecting the results.

     Definition Classes
       ParIterableLike → GenTraversableLike
     Full Signature

     #### def map[S, That](f: (T) ⇒ S)(implicit bf: CanBuildFrom[ParHashSet[T], S, That]): That

103. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def max[U >: T](implicit ord: Ordering[U]): T

104. #### def maxBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

     Definition Classes
       ParIterableLike → GenTraversableOnce

105. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this parallel hash set

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def min[U >: T](implicit ord: Ordering[U]): T

106. #### def minBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

     Definition Classes
       ParIterableLike → GenTraversableOnce

107. #### def mkString: String

     Displays all elements of this parallel hash set in a string.

     Displays all elements of this parallel hash set in a string.

     returns

       a string representation of this parallel hash set . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel hash set follow each other without any separator string.

     Definition Classes
       ParIterableLike → GenTraversableOnce

108. #### def mkString(sep: String): String

     Displays all elements of this parallel hash set in a string using a separator string.

     Displays all elements of this parallel hash set in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this parallel hash set . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel hash set are separated by the string `sep`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

109. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this parallel hash set in a string using start, end, and separator strings.

     Displays all elements of this parallel hash set in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this parallel hash set . The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this parallel hash set are separated by the string `sep`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

110. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

111. #### def newBuilder: Builder[T, ParHashSet[T]]

     The builder that builds instances of type `ParHashSet`[A]

     The builder that builds instances of type `ParHashSet`[A]

     Attributes
       protected[this]
     Definition Classes
       GenericParTemplate → GenericTraversableTemplate → HasNewBuilder

112. #### def newCombiner: Combiner[T, ParHashSet[T]]

     Attributes
       protected[this]
     Definition Classes
       GenericParTemplate → HasNewCombiner

113. #### def nnSizeMapAdd(h: Int): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

114. #### def nnSizeMapRemove(h: Int): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

115. #### def nnSizeMapReset(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

116. #### def nonEmpty: Boolean

     Tests whether the parallel hash set is not empty.

     Tests whether the parallel hash set is not empty.

     returns

       `true` if the parallel hash set contains at least one element, `false` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

117. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

118. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

119. #### def par: ParHashSet[T]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       ParIterableLike → CustomParallelizable → Parallelizable

120. #### def parCombiner: Combiner[T, ParHashSet[T]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

121. #### def partition(pred: (T) ⇒ Boolean): (ParHashSet[T], ParHashSet[T])

     Partitions this parallel hash set in two parallel hash set s according to a predicate.

     Partitions this parallel hash set in two parallel hash set s according to a predicate.

     pred

       the predicate on which to partition.

     returns

       a pair of parallel hash set s: the first parallel hash set consists of all elements that satisfy the predicate `p` and the second parallel hash set consists of all elements that don't. The relative order of the elements in the resulting parallel hash set s may not be preserved.

     Definition Classes
       ParIterableLike → GenTraversableLike

122. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this parallel hash set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the parallel hash set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def product[U >: T](implicit num: Numeric[U]): U

123. #### def randomSeed: Int

     Attributes
       protected
     Definition Classes
       FlatHashTable

124. #### def reduce[U >: T](op: (U, U) ⇒ U): U

     Reduces the elements of this sequence using the specified associative binary operator.

     Reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeft` and `reduceRight` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the collection is nonempty.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this parallel hash set is empty.

125. #### def reduceLeft[U >: T](op: (U, T) ⇒ U): U

     Definition Classes
       ParIterableLike

126. #### def reduceLeftOption[U >: T](op: (U, T) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel hash set , going left to right.

     Optionally applies a binary operator to all elements of this parallel hash set , going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this parallel hash set is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

127. #### def reduceOption[U >: T](op: (U, U) ⇒ U): Option[U]

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeftOption` and `reduceRightOption` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

128. #### def reduceRight[U >: T](op: (T, U) ⇒ U): U

     Applies a binary operator to all elements of this parallel hash set , going right to left.

     Applies a binary operator to all elements of this parallel hash set , going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this parallel hash set , going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this parallel hash set is empty.

129. #### def reduceRightOption[U >: T](op: (T, U) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this parallel hash set , going right to left.

     Optionally applies a binary operator to all elements of this parallel hash set , going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this parallel hash set is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

130. #### def removeEntry(elem: T): Option[T]

     Removes an entry from the hash table, returning an option value with the element, or `None` if it didn't exist.

     Removes an entry from the hash table, returning an option value with the element, or `None` if it didn't exist.

     Attributes
       protected
     Definition Classes
       FlatHashTable

131. #### def repr: ParHashSet[T]

     Definition Classes
       ParIterableLike → GenTraversableLike

132. #### def reuse[S, That](oldc: Option[Combiner[S, That]], newc: Combiner[S, That]): Combiner[S, That]

     Optionally reuses an existing combiner for better performance.

     Optionally reuses an existing combiner for better performance. By default it doesn't - subclasses may override this behaviour. The provided combiner `oldc` that can potentially be reused will be either some combiner from the previous computational task, or `None` if there was no previous phase (in which case this method must return `newc`).

     oldc

       The combiner that is the result of the previous task, or `None` if there was no previous task.

     newc

       The new, empty combiner that can be used.

     returns

       Either `newc` or `oldc`.

     Attributes
       protected
     Definition Classes
       ParIterableLike

133. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this parallel hash set .

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this parallel hash set .

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def sameElements[U >: T](that: GenIterable[U]): Boolean

134. #### def scan(z: T)(op: (T, T) ⇒ T): ParHashSet[T]

     [use case] Computes a prefix scan of the elements of the collection.

     [use case]

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new parallel hash set containing the prefix scan of the elements in this parallel hash set

     Definition Classes
       ParIterableLike → GenTraversableLike
     Full Signature

     #### def scan[U >: T, That](z: U)(op: (U, U) ⇒ U)(implicit bf: CanBuildFrom[ParHashSet[T], U, That]): That

135. #### def scanBlockSize: Int

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

136. #### def scanLeft[S, That](z: S)(op: (S, T) ⇒ S)(implicit bf: CanBuildFrom[ParHashSet[T], S, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

137. #### def scanRight[S, That](z: S)(op: (T, S) ⇒ S)(implicit bf: CanBuildFrom[ParHashSet[T], S, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

138. #### var seedvalue: Int

     Attributes
       protected
     Definition Classes
       FlatHashTable

139. #### def seq: HashSet[T]

     Definition Classes
       ParHashSet → ParSet → ParIterable → ParIterableLike → GenSet → GenIterable → GenTraversable → GenSetLike → Parallelizable → GenTraversableOnce

140. #### def sequentially[S, That <: Parallel](b: (HashSet[T]) ⇒ Parallelizable[S, That]): ParHashSet[T]

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

141. #### def size: Int

     The size of this parallel hash set .

     The size of this parallel hash set .

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this parallel hash set .

     Definition Classes
       ParHashSet → GenTraversableLike → GenTraversableOnce

142. #### final def sizeMapBucketBitSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

143. #### final def sizeMapBucketSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

144. #### def sizeMapDisable(): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

145. #### def sizeMapInit(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

146. #### def sizeMapInitAndRebuild(): Unit

     Attributes
       protected
     Definition Classes
       FlatHashTable

147. #### var sizemap: Array[Int]

     The array keeping track of number of elements in 32 element blocks.

     The array keeping track of number of elements in 32 element blocks.

     Attributes
       protected
     Definition Classes
       FlatHashTable

148. #### def slice(unc_from: Int, unc_until: Int): ParHashSet[T]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     unc_from

       the lowest index to include from this parallel hash set .

     unc_until

       the lowest index to EXCLUDE from this parallel hash set .

     returns

       a parallel hash set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableLike

149. #### def span(pred: (T) ⇒ Boolean): (ParHashSet[T], ParHashSet[T])

     Splits this parallel hash set into a prefix/suffix pair according to a predicate.

     Splits this parallel hash set into a prefix/suffix pair according to a predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       a pair consisting of the longest prefix of the collection for which all the elements satisfy `pred`, and the rest of the collection

     Definition Classes
       ParIterableLike → GenTraversableLike

150. #### def splitAt(n: Int): (ParHashSet[T], ParHashSet[T])

     Splits this parallel hash set into two at a given position.

     Splits this parallel hash set into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of parallel hash set s consisting of the first `n` elements of this parallel hash set , and the other elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

151. #### def splitter: ParHashSetIterator

     Creates a new parallel iterator used to traverse the elements of this parallel collection.

     Creates a new parallel iterator used to traverse the elements of this parallel collection. This iterator is more specific than the iterator of the returned by `iterator`, and augmented with additional accessor and transformer methods.

     returns

       a parallel iterator

     Definition Classes
       ParHashSet → ParIterableLike

152. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this parallel hash set . By default the string prefix is the simple name of the collection class parallel hash set .

     Definition Classes
       ParHashSet → ParSet → ParIterable → GenTraversableLike

153. #### def subsetOf(that: GenSet[T]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       GenSetLike

154. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this parallel hash set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the parallel hash set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def sum[U >: T](implicit num: Numeric[U]): U

155. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

156. #### var table: Array[AnyRef]

     The actual hash table.

     The actual hash table.

     Attributes
       protected
     Definition Classes
       FlatHashTable

157. #### var tableSize: Int

     The number of mappings contained in this hash table.

     The number of mappings contained in this hash table.

     Attributes
       protected
     Definition Classes
       FlatHashTable

158. #### def tableSizeSeed: Int

     Attributes
       protected
     Definition Classes
       FlatHashTable

159. #### def tail: ParHashSet[T]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel hash set consisting of all elements of this parallel hash set

       except the first one.

     Definition Classes
       ParIterableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the parallel hash set is empty.

160. #### def take(n: Int): ParHashSet[T]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this parallel hash set .

     returns

       a parallel hash set consisting only of the first `n` elements of this parallel hash set , or else the whole parallel hash set , if it has less than `n` elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

161. #### def takeWhile(pred: (T) ⇒ Boolean): ParHashSet[T]

     Takes the longest prefix of elements that satisfy the predicate.

     Takes the longest prefix of elements that satisfy the predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       the longest prefix of this parallel hash set of elements that satisy the predicate `pred`

     Definition Classes
       ParIterableLike → GenTraversableLike

162. #### implicit def task2ops[R, Tp](tsk: SSCTask[R, Tp]): TaskOps[R, Tp]

     Attributes
       protected
     Definition Classes
       ParIterableLike

163. #### def tasksupport: TaskSupport

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

164. #### def tasksupport_=(ts: TaskSupport): Unit

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     A task support object can be changed in a parallel collection after it has been created, but only during a quiescent period, i.e. while there are no concurrent invocations to parallel collection methods.

     Here is a way to change the task support of a parallel collection:

         import scala.collection.parallel._
         val pc = mutable.ParArray(1, 2, 3)
         pc.tasksupport = new ForkJoinTaskSupport(
           new scala.concurrent.forkjoin.ForkJoinPool(2))

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

165. #### var threshold: Int

     The next size value at which to resize (capacity * load factor).

     The next size value at which to resize (capacity * load factor).

     Attributes
       protected
     Definition Classes
       FlatHashTable

166. #### def to[Col[_]]: Col[A]

     [use case] Converts this parallel hash set into another by copying all elements.

     [use case]

     Converts this parallel hash set into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, T, Col[T]]): Col[T]

167. #### def toArray: Array[A]

     [use case] Converts this parallel hash set to an array.

     [use case]

     Converts this parallel hash set to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this parallel hash set . An `ClassTag` must be available for the element type of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toArray[U >: T](implicit arg0: ClassTag[U]): Array[U]

168. #### def toBuffer[U >: T]: Buffer[U]

     Converts this parallel hash set to a mutable buffer.

     Converts this parallel hash set to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

169. #### def toIndexedSeq: immutable.IndexedSeq[T]

     Converts this parallel hash set to an indexed sequence.

     Converts this parallel hash set to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

170. #### def toIterable: ParIterable[T]

     Converts this parallel hash set to an iterable collection.

     Converts this parallel hash set to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this parallel hash set .

     Definition Classes
       ParIterable → ParIterableLike → GenTraversableOnce

171. #### def toIterator: scala.Iterator[T]

     Returns an Iterator over the elements in this parallel hash set .

     Returns an Iterator over the elements in this parallel hash set . Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

172. #### def toList: List[T]

     Converts this parallel hash set to a list.

     Converts this parallel hash set to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

173. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this parallel hash set to a map.

     [use case]

     Converts this parallel hash set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toMap[K, V](implicit ev: <:<[T, (K, V)]): immutable.ParMap[K, V]

174. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from ParHashSet[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

175. #### def toParCollection[U >: T, That](cbf: () ⇒ Combiner[U, That]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

176. #### def toParMap[K, V, That](cbf: () ⇒ Combiner[(K, V), That])(implicit ev: <:<[T, (K, V)]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

177. #### def toSeq: ParSeq[T]

     Converts this parallel hash set to a sequence.

     Converts this parallel hash set to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this parallel hash set .

     Definition Classes
       ParIterable → ParIterableLike → GenTraversableOnce

178. #### def toSet[U >: T]: immutable.ParSet[U]

     Converts this parallel hash set to a set.

     Converts this parallel hash set to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

179. #### def toStream: Stream[T]

     Converts this parallel hash set to a stream.

     Converts this parallel hash set to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

180. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       ParIterableLike → AnyRef → Any

181. #### def toTraversable: GenTraversable[T]

     Converts this parallel hash set to an unspecified Traversable.

     Converts this parallel hash set to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

182. #### def toVector: Vector[T]

     Converts this parallel hash set to a Vector.

     Converts this parallel hash set to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this parallel hash set .

     Definition Classes
       ParIterableLike → GenTraversableOnce

183. #### def transpose[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): ParHashSet[ParHashSet[B]]

     Transposes this parallel hash set of traversable collections into a parallel hash set of parallel hash set s.

     Transposes this parallel hash set of traversable collections into a parallel hash set of parallel hash set s.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this parallel hash set is a `Traversable`.

     returns

       a two-dimensional parallel hash set of parallel hash set s which has as nth row the nth column of this parallel hash set .

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this parallel hash set

       are not of the same size.

184. #### def union(that: GenSet[T]): ParHashSet[T]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       ParSetLike → GenSetLike

185. #### def unzip[A1, A2](implicit asPair: (T) ⇒ (A1, A2)): (ParHashSet[A1], ParHashSet[A2])

     Converts this parallel hash set of pairs into two collections of the first and second half of each pair.

     Converts this parallel hash set of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this parallel hash set is a pair.

     returns

       a pair parallel hash set s, containing the first, respectively second half of each element pair of this parallel hash set .

     Definition Classes
       GenericTraversableTemplate

186. #### def unzip3[A1, A2, A3](implicit asTriple: (T) ⇒ (A1, A2, A3)): (ParHashSet[A1], ParHashSet[A2], ParHashSet[A3])

     Converts this parallel hash set of triples into three collections of the first, second, and third element of each triple.

     Converts this parallel hash set of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this parallel hash set is a triple.

     returns

       a triple parallel hash set s, containing the first, second, respectively third member of each element triple of this parallel hash set .

     Definition Classes
       GenericTraversableTemplate

187. #### def view: ParIterableView[T, ParHashSet[T], HashSet[T]]

     Definition Classes
       ParIterableLike

188. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

189. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

190. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

191. #### def wrap[R](body: ⇒ R): NonDivisible[R]

     Attributes
       protected
     Definition Classes
       ParIterableLike

192. #### def zip[B](that: GenIterable[B]): ParHashSet[(A, B)]

     [use case] Returns a parallel hash set formed from this parallel hash set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel hash set formed from this parallel hash set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new parallel hash set containing pairs consisting of corresponding elements of this parallel hash set and `that`. The length of the returned collection is the minimum of the lengths of this parallel hash set and `that`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zip[U >: T, S, That](that: GenIterable[S])(implicit bf: CanBuildFrom[ParHashSet[T], (U, S), That]): That

193. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): ParHashSet[(A, B)]

     [use case] Returns a parallel hash set formed from this parallel hash set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a parallel hash set formed from this parallel hash set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this parallel hash set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this parallel hash set .

     returns

       a new parallel hash set containing pairs consisting of corresponding elements of this parallel hash set and `that`. The length of the returned collection is the maximum of the lengths of this parallel hash set and `that`. If this parallel hash set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this parallel hash set , `thatElem` values are used to pad the result.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipAll[S, U >: T, That](that: GenIterable[S], thisElem: U, thatElem: S)(implicit bf: CanBuildFrom[ParHashSet[T], (U, S), That]): That

194. #### def zipWithIndex: ParHashSet[(A, Int)]

     [use case] Zips this parallel hash set with its indices.

     [use case]

     Zips this parallel hash set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new parallel hash set containing pairs consisting of all elements of this parallel hash set paired with their index. Indices start at `0`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[U >: T, That](implicit bf: CanBuildFrom[ParHashSet[T], (U, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

195. #### def |(that: GenSet[T]): ParHashSet[T]

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

196. #### def →[B](y: B): (ParHashSet[T], B)

     Implicit information
       This member is added by an implicit conversion from ParHashSet[T] to ArrowAssoc[ParHashSet[T]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ParHashSet[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (parHashSet: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ParHashSet[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parHashSet: StringAdd).self

   Definition Classes
     StringAdd

3. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ParHashSet[T] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parHashSet: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: ParHashSet[T]

   Implicit information
     This member is added by an implicit conversion from ParHashSet[T] to ArrowAssoc[ParHashSet[T]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parHashSet: ArrowAssoc[ParHashSet[T]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: ParHashSet[T]

   Implicit information
     This member is added by an implicit conversion from ParHashSet[T] to Ensuring[ParHashSet[T]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parHashSet: Ensuring[ParHashSet[T]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from ParFlatHashTable[T]

### Inherited from FlatHashTable[T]

### Inherited from HashUtils[T]

### Inherited from ParSet[T]

### Inherited from ParSetLike[T, ParHashSet[T], HashSet[T]]

### Inherited from mutable.Cloneable[ParHashSet[T]]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[T]

### Inherited from Growable[T]

### Inherited from Clearable

### Inherited from parallel.ParSet[T]

### Inherited from parallel.ParSetLike[T, ParHashSet[T], HashSet[T]]

### Inherited from ParIterable[T]

### Inherited from Mutable

### Inherited from parallel.ParIterable[T]

### Inherited from ParIterableLike[T, ParHashSet[T], HashSet[T]]

### Inherited from Parallel

### Inherited from CustomParallelizable[T, ParHashSet[T]]

### Inherited from GenericParTemplate[T, ParHashSet]

### Inherited from HasNewCombiner[T, scala.collection.parallel.mutable.ParHashSet[T] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from GenSet[T]

### Inherited from GenericSetTemplate[T, GenSet]

### Inherited from GenIterable[T]

### Inherited from GenTraversable[T]

### Inherited from GenericTraversableTemplate[T, ParHashSet]

### Inherited from HasNewBuilder[T, scala.collection.parallel.mutable.ParHashSet[T] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from GenSetLike[T, ParHashSet[T]]

### Inherited from Equals

### Inherited from (T) ⇒ Boolean

### Inherited from GenIterableLike[T, ParHashSet[T]]

### Inherited from GenTraversableLike[T, ParHashSet[T]]

### Inherited from Parallelizable[T, ParHashSet[T]]

### Inherited from GenTraversableOnce[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from ParHashSet[T] to TraversableOps[T]

### Inherited by implicit conversion any2stringadd from ParHashSet[T] to StringAdd

### Inherited by implicit conversion any2stringfmt from ParHashSet[T] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ParHashSet[T] to ArrowAssoc[ParHashSet[T]]

### Inherited by implicit conversion any2Ensuring from ParHashSet[T] to Ensuring[ParHashSet[T]]

### Ungrouped